# Compaq TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents | Index

# SET MX_RECORD

> For routing mail, adds routing information to the local Mail Exchanger (MX) database.

> Each entry contains a list of hosts that can accept mail for the specified destination. The list is in order of routing preference.

> The local MX information is stored in the routes database.

> The MX entry is one of the record types in the BIND database. In addition, a BIND server might provide an MX record.

> SMTP is designed to determine where the sending system should try to relay mail. It is also designed to identify where the sending system actually tries to relay mail. To find a destination address, the MX routing lookup process follows this sequence:

> 1. Local MX database
> 2. Remote MX database
> 3. BIND database
> 4. Local hosts database

> Related command: SHOW MX_RECORD

## Formats

> SET MX_RECORD destination /GATEWAY=host /PREFERENCE=n

> SET NOMX_RECORD [ destination ]
> [ /GATEWAY=host ]

### restrictions

> Requires read and write access to the routes database.

## Parameters

> ### destination

> Required for SET MX_RECORD.
> Optional for SET NOMX_RECORD.

> Host name or domain name to which mail will be sent.

## Qualifiers

> ### /GATEWAY=host

> Required with SET MX_RECORD. Do not use with SET NOMX_RECORD.

> Gateway through which mail will be relayed. Must have an address in either the local hosts database or the BIND database.

> A destination can have multiple gateways, each with an associated preference value.

> ### /PREFERENCE=n

> Required.

> Arbitrary number for ranking multiple gateways for a destination. The smaller the number, the higher the preference in sending mail by way of that gateway.

> Do not use with SET NOMX_RECORD.

##

### Examples

#1
    TCPIP> SET MX_RECORD JUNO /GATEWAY=MARS /PREFERENCE=100

> Assigns MARS as the gateway for host JUNO with a preference of 100.

#2
    TCPIP> SET MX_RECORD JUNO /GATEWAY=VENUS /PREFERENCE=200

> Assigns VENUS as the gateway for host JUNO with a preference of 200.

# SET NAME_SERVICE

> Configures the BIND resolver and designates a BIND server. By default, all settings are process specific.
> - To make modifications that are systemwide, use the /SYSTEM qualifier.
> - The local host's domain is used as the default domain unless you also specify /DOMAIN.
> - To reload the BIND server databases, use the /INITIALIZE qualifier.
> - /NOSERVER does not require any options.

> Related commands: SHOW NAME_SERVICE, SET CONFIGURATION NAME_SERVICE

## Format

> SET NAME_SERVICE [ /CLUSTER=dev:[directory]

> ]
> [ /DISABLE ]
> [ /[NO]DOMAIN=domain ]
> [ /ENABLE ]
> [ /INITIALIZE ]
> [ /[NO]PATH=domain ]
> [ /RETRY=number of retries ]
> [ /[NO]SERVER=host ]
> [ /SYSTEM ]
> [ /TIMEOUT=seconds ]
> [ /TRANSPORT=protocol ] )

### restrictions

> The /SYSTEM qualifier requires SYSPRV or BYPASS and SYSNAM privileges.

## Qualifiers

> ### /CLUSTER=dev:[directory]

> Optional.

> Specifies the common BIND directory. By default, the clusterwide common directory is common-disk:[TCPIP$BIND_COMMON]. This qualifier reloads the BIND database on every master BIND server running in the OpenVMS Cluster.

> This qualifier must be used with the /INITIALIZE qualifier.

> ### /DISABLE

> Optional.

> Disables the BIND resolver. All name and address lookups are now directed to the local hosts database. Use with /SYSTEM.

> ### /DOMAIN=domain

> ### /NODOMAIN=domain

> Optional.

> Defines the default domain. The default domain is appended to host name references made from the local process.

> /NODOMAIN deletes the process-specific definition of the domain. Do not use with /SYSTEM.

> ### /ENABLE

> Optional. Default: Not enabled.

> Enables the BIND resolver. Must be used with /SYSTEM.

> ### /INITIALIZE

> Optional. Default: No reloading.

> Reloads the BIND server databases.

> ### /PATH=domain

> ### /NOPATH=domain

> Optional.

> Defines the BIND resolver's domain search list.

> To specify multiple domains, list them by search preference. The resolver starts with the first domain on the list, and continues to search each domain until the name is found or until all domains have been exhausted and the lookup fails.

> /NOPATH removes domains from the list.

> If you define a domain list and then issue another SET NAME_SERVICE /PATH command, TCP/IP Services appends the new domains to the end of the list.

> If no search list is defined, the default behavior of the BIND resolver is to do a lookup on the name as you typed it. If that lookup fails, then the default domain is appended and the lookup is attempted again.

> ### /RETRY=number of retries

> Optional. Default: four retries.

> Specifies the number of times that the BIND resolver attempts to contact a BIND server if previous tries fail.

> ### /SERVER=host

> ### /NOSERVER=host

> Optional.

> Specifies the host name or address of the BIND server or servers that the resolver will query.

> To specify multiple hosts, list them by request preference. The resolver sends the first lookup request to the first host on the list.

> /NOSERVER removes hosts from the list.

> If you define a server list and then issue another SET NAME_SERVICE /SERVER command, TCP/IP Services appends the new servers to the end of the list.

> Do not use /NOSERVER with /SYSTEM.

> ### /SYSTEM

> Optional. Default: Changes are process specific.

> Makes your settings systemwide.

> ### /TIMEOUT=seconds

> Optional. Default: 4 seconds.

> Specifies the timeout interval for the BIND resolver's requests to a server.

> When the BIND resolver is used by the auxiliary server, the following conditions are true:

> - The number of retries is one.
> - The timeout interval is 1 second.
> - The timeout interval increases by the power of two for each retry, as shown in the following table:

> Current settings: | If Retries=4 and Timeout=4
> --- | ---
> Retry | Timeout interval is:
> First | 4 seconds
> Second | 8 seconds
> Third | 16 seconds
> Last | 32 seconds
> | Total = 1 minute for one server
> | If a second BIND server exists and both servers time out, total = 2 minutes

> ### /TRANSPORT=protocol

> Optional. Default: UDP.

> Protocol used for communicating with a BIND server. Specify one of the following:

> - UDP
> - TCP

##

### Examples

#1
    TCPIP> SET NAME_SERVICE /SERVER=(PARROT,SORA,JACANA) /SYSTEM /ENABLE

> Defines hosts PARROT, SORA, and JACANA as systemwide BIND servers. Also enables the BIND resolver.

#2
    TCPIP> SET NAME_SERVICE /SERVER=OSPREY

> For your process, defines host OSPREY as the BIND server. The servers that are defined systemwide will not be queried.

# SET NETWORK

> Defines or deletes an entry in the networks database.

> Equivalent to maintaining the `/etc/networks` file on UNIX hosts.

> Related commands: SHOW NETWORK, CONVERT/VMS NETWORK

## Format

> SET [NO]NETWORK network
> [ /ADDRESS=IP_address ]
> [ /[NO]ALIAS=alias ]
> [ /[NO]CONFIRM ]

### restrictions

> Requires read, write, and delete access to the networks database.

## Parameters

> ### network

> Required.

> Name of the network.

> You cannot delete a network by specifying an alias name.

## Qualifiers

> ### /ADDRESS=IP_address

> Required for a new entry.

> IP address of the network.

> ### /ALIAS=alias

> ### /NOALIAS=alias

> Optional.

> Alternate name for the network.

> - Do not use with SET NONETWORK.
> - /NOALIAS= `alias` deletes an alias.
> - /NOALIAS=* deletes all aliases.

> ### /CONFIRM

> ### NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> When used with SET NONETWORK, prompts you to confirm the delete request.

##

### Examples

#1
    TCPIP> SET NETWORK MYNA /ADDRESS=128.30.30.10 /ALIAS=MYNA_1

> Creates an entry for network MYNA at IP address 128.30.30.10, and its alias MYNA_1, to the networks database.

#2
    TCPIP> SET NETWORK MYNA /ALIAS=MYNA_2

> Adds a second alias for network MYNA.

#3
    TCPIP> SET NETWORK MYNA /NOALIAS=MYNA_2

> Deletes the alias MYNA_2 from the network MYNA entry in the networks database.

#4
    TCPIP> SET NETWORK "jungle" /ALIAS=("parrot","canary","motmot")

> For network `jungle` , creates the aliases `parrot` , `canary` , and `motmot` .

# SET NFS_SERVER

> Modifies the parameters of the NFS server software.

> You can dynamically modify some characteristics, but other values are static. Modifications take effect by shutting down and restarting the NFS server software.

> - Dynamically modifiable qualifiers:
>   - /GID_DEFAULT
>   - /INACTIVITY_TIMER
>   - /UID_DEFAULT
> - Static qualifiers:
>   - /THREADS

> To make your changes permanent, modify the SYS$STARTUP:TCPIP$NFS_SERVER_STARTUP.COM file.

> To shut down the NFS server, issue the following command:

>     $ @SYS$STARTUP:TCPIP$NFS_SHUTDOWN.COM

> To enable the server to restart, issue the following command:

>     $ @SYSSTARTUP:TCPIP$NFS_SERVER_STARTUP.COM

> The auxiliary server automatically restarts the NFS server upon an incoming client request.

> Related commands: SHOW NFS_SERVER, ZERO NFS_SERVER

## Format

> SET NFS_SERVER [ /GID_DEFAULT=n ]
> [ /INACTIVITY_TIMER=n ]
> [ /THREADS=n ]
> [ /UID_DEFAULT=n ]

### restrictions

> Requires the following privileges:
> - SYSNAM
> - WORLD
> - SYSPRV or BYPASS

## Qualifiers

> ### /GID_DEFAULT=n

> Optional. Default: --2.

> Default GID associated with files not created by the NFS server.

> ### /INACTIVITY_TIMER=n

> Optional. Default: 02:00.

> Maximum length of time that unaccessed NFS files remain open.

> Specify mm:ss, where mm is the number of minutes and ss is the number of seconds.

> ### /THREADS=n

> Optional. Default: 20.

> Maximum number of simultaneous requests that the NFS server processes.

> ### /UID_DEFAULT=n

> Optional. Default: --2.

> Default UID associated with files not created by the NFS server.

##

### Examples

#1
    TCPIP> SET NFS_SERVER /INACTIVITY_TIMER=03:00

> Sets the length of time that unaccessed NFS files remain open.

# SET PROTOCOL

> Sets parameters for ICMP, IP, TCP, and UDP.

> Related commands: SET CONFIGURATION PROTOCOL, SHOW PROTOCOL

## Format

> SET PROTOCOL ICMP [ /[NO]REDIRECT ]

> SET PROTOCOL IP [ /[NO]FORWARD ]
> [ /REASSEMBLY_TIMER=seconds ]

> SET PROTOCOL TCP [ /[NO]MTU_SEGMENT_SIZE ]
> [ /[NO]DELAY_ACK ]
> [ /DROP_COUNT=seconds ]
> [ /PROBE_TIMER=seconds ]
> [ /QUOTA=[ SEND=bytes,RECEIVE=bytes ]
> [ /[NO]WINDOW_SCALE ]

> SET PROTOCOL UDP [ /[NO]BROADCAST ]
> [ /[NO]FORWARD ]
> [ /QUOTA=options ]

### restrictions

> Requires OPER privilege.

## Parameters

> ### {ICMP | IP | TCP | UDP}

> Required.

> Specifies the protocol software to configure.

## Qualifiers for ICMP

> ### /REDIRECT

> ### /NOREDIRECT

> Optional. Default: /NOREDIRECT.

> Sends ICMP_REDIRECT messages.

## Qualifiers for IP

> ### /FORWARD

> ### /NOFORWARD

> Optional. Default: /NOFORWARD.

> Forwards IP messages to other hosts.

> ### /REASSEMBLY_TIMER=n

> Optional. Default: 7 seconds. Valid range: 1 to 126.

> Maximum time for trying to reassemble a received datagram.

## Qualifiers for TCP

> ### /MTU_SEGMENT_SIZE

> ### /NOMTU_SEGMENT_SIZE

> Optional. Default: /NOMTU_SEGMENT_SIZE.

> If a connection is more than one hop away, sets the segment size. Specify one of the following:

> /MTU_SEGMENT_SIZE | Sets the segment size as close as possible to the maximum transmission unit (MTU) size.
> /NOMTU_SEGMENT_SIZE | Sets the segment size as close as possible to the standard 512 bytes.

> ### /DELAY_ACK

> ### /NODELAY_ACK

> Optional. Default: /DELAY_ACK.

> Enables or disables a delay before sending the following acknowledgments:

> /DELAY_ACK | ACKs are generated with a delay.
> /NODELAY_ACK | ACKs are generated without any delay.

> ### /DROP_COUNT=n

> Optional. Default: 10 minutes.

> Maximum number of seconds to probe for idle TCP connections before a TCP connection close times out.

> ### /PROBE_TIMER=n

> Optional. Default: 75 seconds.

> Number of seconds between probes for idle TCP connections. Also indicates the maximum number of seconds before a TCP connection request times out.

> ### /QUOTA=[SEND=bytes,RECEIVE=bytes]

> Optional.

> Queue size (in bytes) for messages.

> The options for setting TCP message queue size are:

> - RECEIVE:n --- Receive queue size. Default: 4096 bytes.
> - SEND:n --- Send queue size. Default: 4096 bytes.

> ### /WINDOW_SCALE

> ### /NOWINDOW_SCALE

> Optional.

> Turns TCP window scaling on and off. Default is on.

> Scaling allows windows larger than 64 KB to be represented in the normal 16-bit TCP window field. Large windows allow improved throughput. Turning this option off may help you to troubleshoot communication problems with another TCP/IP implementation.

## Qualifiers for UDP

> ### /[NO]BROADCAST

> Optional. Default: /NOBROADCAST.

> Enables privilege checking for broadcast messages.

> - /BROADCAST --- Nonprivileged users can send broadcast messages.
> - /NOBROADCAST --- To send broadcast messages, users need a privileged UIC or the SYSPRV, BYPASS, or OPER privilege.

> ONC RPC applications use broadcast messages and need privilege checking disabled.

> ### /FORWARD

> ### /[NO]FORWARD

> Optional. Default: /NOFORWARD.

> Forwards IP messages.

> ### /QUOTA=options

> Optional.

> Specifies the queue size (in bytes) for messages.

> The options for setting UDP message queue size are:

> - RECEIVE:n --- Receive queue size. Default: 9000 bytes.
> - SEND:n --- Send queue size. Default: 9000 bytes.

##

### Examples

#1
    TCPIP> SET PROTOCOL IP /FORWARD

> Sets IP to forward messages to other hosts, including other Internet cluster nodes.

#2
    TCPIP> SET PROTOCOL TCP /PROBE_TIMER=50

> Sets the TCP probe timer parameter to 50 seconds.

# SET ROUTE

> Defines a routing path in either the permanent or volatile routes database.

> Routes in the permanent, on-disk routes database are static. Static routes can be supplemented by routes that the dynamic routing server receives. Defaults are as follows:

> - If the network is not active, the command affects the permanent database.
> - If the network is active, the command affects the volatile database. (To modify the permanent database, use the /PERMANENT qualifier.)

> Note the following restrictions:

> - You can add routes.
> - You cannot use SET NOROUTE to remove a route that is maintained by the route daemon.
> - To have full manual control over your routing table, first issue STOP ROUTING and then use SET NOROUTE.
> - SET NOROUTE does not require any qualifiers.

> Related commands: SHOW ROUTE, STOP ROUTING

> Note Compaq strongly recommends that you do not specify alias names with the destination parameter or with the /GATEWAY=host qualifier.

## Format

> SET [NO]ROUTE destination
> [ /[NO]CONFIRM ]
> [ /DEFAULT_ROUTE ]
> [ /GATEWAY=host ]
> [ /MASK=mask_length ]
> [ /NETWORK ]
> [ /PERMANENT ]

### restrictions

> Requires OPER privilege if:
> - The TCP/IP Services product is running.
> - The routes database requires read and write access.

## Parameters

> ### destination

> Required unless you specify the /DEFAULT_ROUTE qualifier.

> Host or network through which to route packets. Specify one of the following:

> - A host, as it is defined in the hosts database
> - A network, as it is defined in the networks database

> Not valid with /DEFAULT_ROUTE.

## Qualifiers

> ### /CONFIRM

> ### NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> Prompts you to confirm the change.

> ### /DEFAULT_ROUTE

> Optional. Default: 0.0.0.0.

> Defines a second route to use if the first try to route a packet fails.

> You must also specify a value for /GATEWAY.

> Not valid with the destination parameter.

> ### /GATEWAY=host

> Optional. Default: None.

> Gateway for the route. Necessary to send packets to a host on another network.

> ### /MASK=mask_length

> Optional. Default: None.

> Defines the Classless Inter-Domain Routing (CIDR) mask length. (The mask length is sometimes referred to as the prefix length.)

> CIDR is a method of associating blocks of Internet addresses through the use of a mask. With CIDR, a route is a combination of the IP address and a value describing the length of the leftmost contiguous set of bits.

> ### /NETWORK

> Optional. Defaults:
> - Destination is classified based on its Internet network class (A, B, or C).
> - If the address is clearly a network number, SET ROUTE interprets the number correctly.

> Defines the route as a network route.

> Use this qualifier if the network number could be misinterpreted as an IP host address, for example, if a network mask is nonstandard, or if the IP address is abbreviated.

> ### /PERMANENT

> Optional. Defaults:

> If the network is not active, the permanent routes database is changed. If the network is active, the volatile routes database is changed.

> Changes only the permanent routes database.

##

### Examples

#1
    TCPIP> SET ROUTE DODO /GATEWAY=RHEA

> Defines a route for local host DODO to send packets.

#2
    TCPIP> SET ROUTE 101.81 /GATEWAY=100.42

> Defines a gateway for routing packets for the host with IP address 101.81.

#3
    TCPIP> SET ROUTE 100.45.0 /GATEWAY=REMOTE /NETWORK

> Sets a route through the network whose IP address is 100.45.0.

#4
    TCPIP> SET ROUTE /DEFAULT /GATEWAY=DEFGATE /PERMANENT

> Sets a default route with host DEFGATE as the default gateway. Adds the definition to the permanent routes database.

Previous | Next | Contents | Index